.\" Man Page for rclockd
.\" groff -man -Tascii rclockd.1
.\"
.TH RCLOCKD 1 "OCTOBER 2008" Linux "User Manuals"

.SH NAME


rclockd - Radio clock daemon

.SH SYNOPSIS
.B rclockd
[\-c filename]
[\-d]
[\-v]
[\-h]


.SH DESCRIPTION


.B rclockd
Updates the system time periodically with the time retrieved from a radio clock
device attached to a serial port. rclockd automatically calls the `date command
with the time received from the device.

.SH OPTIONS


The following options can be passed from the command-line interface.
.TP
.B \-c \fIfilename
config - Loads the configuration from the path specified by \fIfilename\fP.
         By default rclockd tries to load /etc/rclockd.conf
.TP
.B \-d
daemon - Execute the program in the background.
.TP
.B \-v
verbose - This option will cause the program to output each call to the date 
command.
.TP
.B \-h
help - Outputs program usage instructions.

.SH EXAMPLES


Run rclockd as a daemon:
.IP
rclockd -d
.LP
Run rockockd with verbose output and using an alternative configuration file 
location:
.IP
rclockd -v -c /usr/local/etc/rclockd.conf

.SH FILES


/etc/rclockd.conf

.SH "CONFIG SYNTAX"


The rclockd configuration is formatted in the following syntax:
.LP
option = value

Each option/value pair is on a separate line. Empty lines do not matter. Lines 
starting with a '#' character will be ignored and can be used as comments.


.TP
.B delay 
Value in seconds of how frequent rclockd should fetch the time from the 
clock and update the system time. (default: 5)        

Example:
.IP
delay = 20
.LP        
.TP
.B logfile
Path to the file to which logging information will be written.
(no default setting - logging is disabled by default)

Example:
.IP       
logfile = /var/log/rclockd.log
.LP
.TP
.B date
Path to the date program. (default: /bin/date)

Example:
.IP         
/usr/local/bin/date
.LP
.TP
.B logverbose
Binary boolean value (1 or 0) indicating whether or not to log the 
date commands called including the time received by the clock.
Do not enable verbose logging when you have a small delay to prevent
the log file from filling up the hard drive. If you do, make sure to
enable logrotate to flush the log file periodically. If verbose
logging is enabled, a log entry will be written to the file for every
interval specified in the delay setting.

Example:
.IP
logverbose = 1
.LP

.SH BUGS
Please report any bugs you may find to:
.TP
.B john@adminking.com

.SH AUTHOR
John Sennesael <john@adminking.com>
.LP
http://www.adminking.com
.LP
http://www.linkerror.com

