/**
 * proto.cpp
 *
 * Serial radio clock protocol implementation
 *
 * (c) 2008 John Sennesael
 * See the COPYING file for license information.
 *
 */

// global includes ------------------------------------------------------------

#include <iostream>
#include <sstream>
#include <time.h>

// local includes -------------------------------------------------------------

#include "proto.h"

// class implementation -------------------------------------------------------

void c_rclock_protocol::ProcessLine(std::string line)
{
  
  using namespace std;

  // if dateprog is empty set a sane default
  if (_dateprog == "")
    _dateprog = "/bin/date";

  // don't bother with empty lines 
  if (line.length() > 2)
  {
    // get response type
    string type = line.substr(0,3);
    // we only handly DTM
    if (type == "DTM")
    {

      /*
       * Clock output looks like this:
       *
       * DTM:2008/10/10 17:24:50.50
       *
       */

      // get time fields.
      string year = line.substr(4,4);
      string month = line.substr(9,2);
      string day = line.substr(12,2);
      string hour = line.substr(15,2);
      string minute = line.substr(18,2);
      string sec = line.substr(21,2);
      // string ms = line.substr(24,2);

      ostringstream cmd;
      cmd << _dateprog << " " << month << day << hour
          << minute << year << "." 
          << sec << " &> /dev/null";
      system(cmd.str().c_str());
      usleep(_delay*1000000);

      if (_verbose)
      {
        cout << "running: " << cmd.str() << endl;
        cout.flush();
      }

      /*      
      // set time
      struct tm now;
      time_t newt;
      now.tm_year = atoi(year.c_str());
      now.tm_mon = atoi(month.c_str());
      now.tm_yday = atoi(day.c_str());
      now.tm_hour = atoi(hour.c_str());
      now.tm_sec = atoi(sec.c_str());
      //now.tm_usec = (atoi(ms.c_str()) * 1000);
      static struct timeval tv;
      tv.sec = newt;      
      int rc = settimeofday(&tv,NULL);
      if (rc != 0)
      {
        cerr << "Error setting system time." << endl;
        cerr.flush();
        return;
      }
      */

    }
  }

}

